REXD(8C)

NAME
rexd, rpc.rexd - RPC-based remote execution server

SYNOPSIS
/usr/etc/rpc.rexd [-s]

DESCRIPTION

rexd is the Sun RPC server for remote program execution. This daemon is started by inetd(8C) whenever a remote execution request is made.

For noninteractive programs, the standard file descriptors are connected directly to TCP connections. Interactive programs involve pseudo-terminals, in a fashion that is similar to the login sessions provided by rlogin(1C). This daemon may use NFS to mount file systems specified in the remote execution request.

FILES
/dev/ttypn
    pseudo-terminals used for interactive mode
/etc/passwd
    authorized users
/tmp_rex/rexd??????
    temporary mount points for remote file systems.

OPTIONS

-s  Secure. When specified, requests must have valid des credentials. If the request does not have a DES credential it is rejected. The default publickey credential is rejected. Only newer on commands send DES credentials.

    If access is denied with an Authentication error, you may have to set your publickey with the chkey(1) command.

SEE ALSO

chkey(1), on(1C), rlogin(1C), rex(3R), exports(5), inetd.conf(5), publickey(5), inetd(8C)

DIAGNOSTICS

Diagnostic messages are normally printed on the console, and returned to the requestor.

RESTRICTIONS
Root cannot execute commands using rexd client programs such as on(1C).